Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class DefaultRangeIndicator

    java.lang.Object
      org.eclipse.jface.text.source.Annotation
          org.eclipse.ui.texteditor.DefaultRangeIndicator

All Implemented Interfaces:
  IAnnotationPresentation

public class DefaultRangeIndicator
extends Annotation
implements IAnnotationPresentation

Specialized annotation to indicate a particular range of text lines.

This class may be instantiated; it is not intended to be subclassed. This class is instantiated automatically by `AbstractTextEditor`.

Field Summary

Fields inherited from class org.eclipse.jface.text.source.Annotation
`TYPE_UNKNOWN`

Fields inherited from interface org.eclipse.jface.text.source.IAnnotationPresentation
`DEFAULT_LAYER`

Constructor Summary
`DefaultRangeIndicator()` Creates a new range indicator.

Method Summary
`int` | `getLayer()` Returns the annotations drawing layer.
`void` | `paint(GC gc, Canvas canvas, Rectangle bounds)` Implement this method to draw a graphical representation of this annotation within the given bounds.

Methods inherited from class org.eclipse.jface.text.source.Annotation
`getText, getType, isMarkedDeleted, isPersistent, markDeleted, setText, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRangeIndicator

    public DefaultRangeIndicator()

  Creates a new range indicator.

Method Detail

### paint

    public void paint(GC gc,
                      Canvas canvas,
                      Rectangle bounds)

  Description copied from interface: `IAnnotationPresentation`
  Implement this method to draw a graphical representation of this annotation within the given bounds.

  Specified by:
    `paint` in interface `IAnnotationPresentation`
  Parameters:
    `gc` - the drawing GC
    `canvas` - the canvas to draw on
    `bounds` - the bounds inside the canvas to draw on

### getLayer

    public int getLayer()

  Description copied from interface: `IAnnotationPresentation`
  Returns the annotations drawing layer.

  Specified by:
    `getLayer` in interface `IAnnotationPresentation`
  Returns:
    the annotations drawing layer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.